Package org.opensaml.saml.saml2.core.impl

# Class NameIDMappingRequestImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.AbstractSignableXMLObject
org.opensaml.saml.common.AbstractSignableSAMLObject
org.opensaml.saml.saml2.core.impl.RequestAbstractTypeImpl
org.opensaml.saml.saml2.core.impl.NameIDMappingRequestImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `SignableSAMLObject`, `NameIDMappingRequest`, `RequestAbstractType`, `SignableXMLObject`

public class NameIDMappingRequestImpl extends RequestAbstractTypeImpl implements NameIDMappingRequest
A concrete implementation of `NameIDMappingRequest`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private BaseID`
`baseID`
BaseID child element.
`private EncryptedID`
`encryptedID`
EncryptedID child element.
`private NameID`
`nameID`
NameID child element.
`private NameIDPolicy`
`nameIDPolicy`
NameIDPolicy child element.

### Fields inherited from interface org.opensaml.saml.saml2.core.NameIDMappingRequest

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.saml.saml2.core.RequestAbstractType

`CONSENT_ATTRIB_NAME, DESTINATION_ATTRIB_NAME, EXPLICIT_CONSENT, ID_ATTRIB_NAME, IMPLICIT_CONSENT, INAPPLICABLE_CONSENT, ISSUE_INSTANT_ATTRIB_NAME, ISSUE_INSTANT_ATTRIB_QNAME, OBTAINED_CONSENT, PRIOR_CONSENT, TYPE_LOCAL_NAME, TYPE_NAME, UNAVAILABLE_CONSENT, UNSPECIFIED_CONSENT, VERSION_ATTRIB_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`NameIDMappingRequestImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`BaseID`
`getBaseID()`
Gets the base identifier of the principal for this request.
`EncryptedID`
`getEncryptedID()`
Gets the encrypted name identifier of the principal for this request.
`NameID`
`getNameID()`
Gets the name identifier of the principal for this request.
`NameIDPolicy`
`getNameIDPolicy()`
Get the NameIDPolicy of the request.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`void`
`setBaseID(BaseID newBaseID)`
Sets the base identifier of the principal for this request.
`void`
`setEncryptedID(EncryptedID newEncryptedID)`
Sets the encrypted name identifier of the principal for this request.
`void`
`setNameID(NameID newNameID)`
Sets the name identifier of the principal for this request.
`void`
`setNameIDPolicy(NameIDPolicy newNameIDPolicy)`
Set the NameIDPolicy of the request.

### Methods inherited from class org.opensaml.saml.saml2.core.impl.RequestAbstractTypeImpl

`getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getSignatureReferenceID, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setVersion`

### Methods inherited from class org.opensaml.saml.common.AbstractSignableSAMLObject

`equals, hashCode, setSignature`

### Methods inherited from class org.opensaml.xmlsec.signature.AbstractSignableXMLObject

`getSignature, isSigned`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.saml.saml2.core.RequestAbstractType

`getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setVersion`

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### baseID

@Nullable private BaseID baseID
BaseID child element.

### nameID

@Nullable private NameID nameID
NameID child element.

### encryptedID

@Nullable private EncryptedID encryptedID
EncryptedID child element.

### nameIDPolicy

@Nullable private NameIDPolicy nameIDPolicy
NameIDPolicy child element.

## Constructor Details

### NameIDMappingRequestImpl

protected NameIDMappingRequestImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getBaseID

@Nullable public BaseID getBaseID()
Gets the base identifier of the principal for this request.

Specified by:
  `getBaseID` in interface `NameIDMappingRequest`
Returns:
  the base identifier of the principal for this request

### setBaseID

public void setBaseID(@Nullable BaseID newBaseID)
Sets the base identifier of the principal for this request.

Specified by:
  `setBaseID` in interface `NameIDMappingRequest`
Parameters:
  `newBaseID` - the base identifier of the principal for this request

### getNameID

@Nullable public NameID getNameID()
Gets the name identifier of the principal for this request.

Specified by:
  `getNameID` in interface `NameIDMappingRequest`
Returns:
  the name identifier of the principal for this request

### setNameID

public void setNameID(@Nullable NameID newNameID)
Sets the name identifier of the principal for this request.

Specified by:
  `setNameID` in interface `NameIDMappingRequest`
Parameters:
  `newNameID` - the name identifier of the principal for this request

### getEncryptedID

@Nullable public EncryptedID getEncryptedID()
Gets the encrypted name identifier of the principal for this request.

Specified by:
  `getEncryptedID` in interface `NameIDMappingRequest`
Returns:
  the encrypted name identifier of the principal for this request

### setEncryptedID

public void setEncryptedID(@Nullable EncryptedID newEncryptedID)
Sets the encrypted name identifier of the principal for this request.

Specified by:
  `setEncryptedID` in interface `NameIDMappingRequest`
Parameters:
  `newEncryptedID` - the new encrypted name identifier of the principal for this request

### getNameIDPolicy

@Nullable public NameIDPolicy getNameIDPolicy()
Get the NameIDPolicy of the request.

Specified by:
  `getNameIDPolicy` in interface `NameIDMappingRequest`
Returns:
  the NameIDPolicy of the request

### setNameIDPolicy

public void setNameIDPolicy(@Nullable NameIDPolicy newNameIDPolicy)
Set the NameIDPolicy of the request.

Specified by:
  `setNameIDPolicy` in interface `NameIDMappingRequest`
Parameters:
  `newNameIDPolicy` - the new NameIDPolicy of the request

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Overrides:
  `getOrderedChildren` in class `RequestAbstractTypeImpl`
Returns:
  ordered list of child elements